# /bin/sh

set -xe

PROJECT_FILE_PATH="Digital Pigeon.xcodeproj/project.pbxproj"

MARKETING_VER=$(sed -n '/MARKETING_VERSION/{s/MARKETING_VERSION = //;s/;//;s/^[[:space:]]*//;p;q;}' "./$PROJECT_FILE_PATH")

echo "Current Marketing version is $MARKETING_VER"

PATCH_VERSION=`echo $MARKETING_VER | awk -F "." '{print $3}'`
MAJOR_VER=`echo $MARKETING_VER | awk -F "." '{print $1}'`
MINOR_VER=`echo $MARKETING_VER | awk -F "." '{print $2}'`

NEW_PATCH_VERSION=$(($PATCH_VERSION + 1))
NEW_MARKETING_VERSION=$MAJOR_VER.$MINOR_VER.$NEW_PATCH_VERSION

echo "New marketing version: $NEW_MARKETING_VERSION"

sed -i.bak "s/MARKETING_VERSION = $MARKETING_VER;/MARKETING_VERSION = $NEW_MARKETING_VERSION;/g" 'Digital Pigeon.xcodeproj/project.pbxproj'

BUILD_NUM=$(printf %02d $MAJOR_VER)$(printf %02d $MINOR_VER)$(printf %03d $NEW_PATCH_VERSION)

echo "Updating current project version"
agvtool new-version "$BUILD_NUM"
